<div class="card pt-1">
    <p-accordion>
        <p-accordionTab header="ผลการรับ Telemed" [selected]="true">
            <div class="card border-round bg-green-100 mb-1">
                <div class="formgrid grid border-round p-0">
                    <div class="field col-12 md:col-6 lg:col-3">
                        <h4 class="mb-0"><label class="text-cyan-900">ผลการรับผู้ป่วย</label></h4>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" [options]="itemeResult" [(ngModel)]="refer_result_id" optionLabel="refer_result_name" optionValue="refer_result_id"></p-dropdown>
                    </div>
                    <div class="field col-12 md:col-6 lg:col-3">
                        <h4 class="mb-0"><label class="text-cyan-900" *ngIf="refer_result_id != '2'">Service Plan</label></h4>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" [options]="itemeServiceplan" [(ngModel)]="serviceplan_id" optionLabel="serviceplan_name" optionValue="serviceplan_id" *ngIf="refer_result_id != '2'"></p-dropdown>
                    </div>

                    <div class="field col-12 md:col-6 lg:col-3">
                        <h4 class="mb-0"><label class="text-cyan-900" *ngIf="refer_result_id != '2'">แผนกที่รับผู้ป่วย</label></h4>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" [options]="itemeStation" [(ngModel)]="receive_spclty_id" optionLabel="station_name" optionValue="station_id" *ngIf="refer_result_id != '2'"></p-dropdown>
                    </div>
                    <div class="field col-12 md:col-6 lg:col-3">
                        <h4 class="mb-0"><label class="text-cyan-900" *ngIf="refer_result_id != '2'">ตึกที่รับผู้ป่วย</label></h4>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="กรุณาเลือก" [options]="department" [(ngModel)]="receive_ward_id" optionLabel="dep_name" optionValue="dep_code" *ngIf="refer_result_id != '2'"></p-dropdown>
                    </div>

                    <div class="field col-12 md:col-6">
                        <h4 class="mb-0"><label class="text-cyan-900">หมายเหตุ</label></h4>
                        <textarea id="refer_reject_reasons" [(ngModel)]="refer_reject_reasons" type="text" rows="6" class="inputfield w-full"></textarea>
                    </div>
                    <div class="field col-12 md:col-3">
                        
                            
                        <h4 class="mb-0"><label class="text-cyan-900">วันที่นัด Telemed</label></h4>
                        <!-- <input matInput [matDatepicker]="picker1" [(ngModel)]="sdate" (click)="picker1.open()" (ngModelChange)="onDateSelected()"> -->
                        <input pInputText [matDatepicker]="picker1" [(ngModel)]="sdate" (click)="picker1.open()" (ngModelChange)="onDateSelected()" type="text"  style="height: 45px;border-width: 1px;border-color: #E9ECEF;">
                        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                        <mat-datepicker #picker1></mat-datepicker>

            </div>
            <div class="field col-12 md:col-2">
            <h4 class="mb-0"><label class="text-cyan-900">เวลา</label></h4>
            <input [textMask]="{mask: maskTime}" [(ngModel)]="telemed_time" type="text"   style="height: 45px;border-width: 1px;border-color: #E9ECEF;" class="align-item-center"/>
            </div>
                    <div class="field col-12 md:col-6 flex align-items-center">
                        <div class="flex flex-row flex-wrap card-container blue-container">
                            <div class="flex align-items-center justify-content-center mr-2">
                                <button pButton type="button" class="button-success" (click)="onSaveChange()" value="Submit" *ngIf="!buttonClose">บันทึกนัด Telemed</button>
                            </div>
                            <div class="flex align-items-center justify-content-center mr-2">
                                <button pButton type="button" class="button-success" (click)="onPrintReferIn()">พิมพ์</button>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </p-accordionTab>
        <p-accordionTab header="ข้อมูล ReferOut" [selected]="true">
            <div class="card border-round bg-purple-50 mb-1">
                <div class="formgrid grid border-round">

                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900">ประเภทผู้ป่วย</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="ประเภทผู้ป่วย" [options]="itemeTypept" [(ngModel)]="typept_id" optionLabel="typept_name" optionValue="typept_id" [disabled]="true"></p-dropdown>
                    </div>

                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900">ระดับความรุนแรง</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="ระดับความรุนแรง" [options]="itemeStrength" [(ngModel)]="strength_id" optionLabel="strength_name" optionValue="strength_id"></p-dropdown>
                    </div>

                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900">การนำส่ง&nbsp;&nbsp;&nbsp;</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="การนำส่ง" [options]="itemeLoads" [(ngModel)]="loads_id" optionLabel="loads_name" optionValue="loads_id" [disabled]="true"></p-dropdown>
                    </div>

                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900">ประเภทความเร่งด่วน</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="ประเภทความเร่งด่วน" [options]="itemeRefertriage" [(ngModel)]="refer_triage_id" optionLabel="name" optionValue="id" [disabled]="true"></p-dropdown>
                    </div>
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900">ปลายทางส่งต่อ</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="ปลายทางส่งต่อ" [options]="itemeStation" [(ngModel)]="station_id" optionLabel="station_name" optionValue="station_id" [disabled]="true"></p-dropdown>
                    </div>

                    <div class="field col-12 md:col-6 lg:col-3">
                        <label class="text-cyan-900">การส่งต่อ&nbsp;&nbsp;</label>
                        <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="การส่งต่อ" [options]="itemeRefertype" [(ngModel)]="refer_type" optionLabel="refer_type_name" optionValue="refer_type" [disabled]="true"></p-dropdown>
                    </div>
                    <div class="field col-12 md:col-6 lg:col-3">
                        <label for="expire_date">วันหมดอายุใบส่งตัว</label>
                        <input [ngModel]="expire_date | thaidate:'short'" #city="ngModel" (ngModelChange)="expire_date= onPropertyChange(city)" pInputText class="inputfield w-full" [disabled]="true">
                    </div>

                    <div class="field col-12 md:col-9">
                        <div class="formgroup-inline">
                            <div class="field-radiobutton">
                                <p-radioButton  [(ngModel)]="refer_appoint" [value]="0" id="refer_appoint0"></p-radioButton>
                                <label for="city7">ไม่ขอนัด</label>
                            </div>
                            <div class="field-radiobutton">
                                <p-radioButton  [(ngModel)]="refer_appoint" [value]="2" id="refer_appoint2"></p-radioButton>
                                <label for="city8">ขอนัดตามสะดวก</label>
                            </div>
                            <div class="field-radiobutton">
                                <p-radioButton  [(ngModel)]="refer_appoint" [value]="3" id="refer_appoint3"></p-radioButton>
                                <label for="city8">มีนัดแล้วแต่ขอใบรีเฟอร์ต่อเนื่อง</label>
                            </div>
                            <div class="field-radiobutton">
                                <p-radioButton  [(ngModel)]="refer_appoint" [value]="1" id="refer_appoint1"></p-radioButton>
                                <label for="city8">ขอนัดด่วนภายใน 24 ชั่วโมง</label>
                            </div>
                            <div class="field-radiobutton">
                                <p-radioButton  [(ngModel)]="refer_appoint" [value]="4" id="refer_appoint4"></p-radioButton>
                                <label for="city8">ขอนัด CAG</label>
                            </div>
                        </div>
                    </div>

                    <div class="field col-12 md:col-3">
                        <div class="field-checkbox">
                            <p-checkbox  [(ngModel)]="refer_xray_online" id="refer_xray_online" [value]="1"></p-checkbox>
                            <label for="refer_xray_online">ส่ง x-ray online</label>
                        </div>
                    </div>

                    <div class="field col-12 md:col-12">
                        <div class="formgroup-inline">
                            <div class="field-checkbox">
                                <p-checkbox [(ngModel)]="refer_sentto_CancerAnywhere" [binary]="true" inputId="refer_sentto_CancerAnywhere" [disabled]="true"></p-checkbox>
                                <!-- <input type="checkbox" [(ngModel)]="refer_sentto_CancerAnywhere" id="refer_sentto_CancerAnywhere" [value]="1"> -->
                                <label for="refer_sentto_CancerAnywhere">ลงทะเบียนมะเร็ง (CancerAnywhere)</label>
                            </div>
                            <div class="field-checkbox">
                                <p-checkbox [(ngModel)]="apooint_telemed" value="1" inputId="apooint_telemed"  (onChange)="pCheckTelemed($event)" [disabled]="true"></p-checkbox>
                                <!-- <input type="checkbox" [(ngModel)]="refer_sentto_CancerAnywhere" id="refer_sentto_CancerAnywhere" [value]="1"> -->
                                <label for="apooint_telemed">Telemed</label>
                            </div>
                            
                        </div>
                    </div>
                    

                    <div class="field col-12 md:col-6">
                        <label for="equipwithpatient">รายการอุปกรณ์มากับคนไข้</label>
                        <textarea id="equipwithpatient" [(ngModel)]="equipwithpatient" type="text" rows="6" class="inputfield w-full" [disabled]="true"></textarea>
                    </div>
                    <div class="field col-12 md:col-6">
                        <label for="refer_remark">หมายเหตุ</label>
                        <textarea id="refer_remark" type="text" [(ngModel)]="refer_remark" rows="6" class="inputfield w-full" [disabled]="true"></textarea>
                    </div>

                </div>
            </div>
        </p-accordionTab>
        <p-accordionTab header="ดูข้อมูลทั่วไป" [selected]="true">
            <div class="card border-round bg-purple-50 mb-1">
                <div class="formgrid grid border-round p-0">
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">เลขที่ส่ง : </span>
                        <span for="city7" class="fontKanit">{{referIn.refer_no}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">เลขที่ HIS : </span>
                        <span for="city7" class="fontKanit">{{referIn.refer_his_no}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">วันที่ : </span>
                        <span for="city7" class="fontKanit">{{referIn.refer_date | thaidate:'short'}}</span>
                    </div>

                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">HN : </span>
                        <span for="city7" class="fontKanit">{{referIn.hn}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">ชื่อ : </span>
                        <span for="city7" class="fontKanit">{{referIn.pname}}{{referIn.fname}} {{referIn.lname}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">อายุ : </span>
                        <span for="city7" class="fontKanit">{{referIn.age}}</span>
                    </div>

                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">PID : </span>
                        <span for="city7" class="fontKanit">{{referIn.pid}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">AN : </span>
                        <span for="city7" class="fontKanit">{{referIn.an}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">เลขบัตรประชาชน : </span>
                        <span for="city7" class="fontKanit">{{referIn.cid}}</span>
                    </div>

                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">เพศ : </span>
                        <span for="city7" class="fontKanit">{{referIn.sex}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">อาชีพ : </span>
                        <span for="city7" class="fontKanit">{{referIn.occupation}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <!-- <span for="city7" class="text-green-600 fontKanit">เลขที่ส่ง : </span>
                    <span for="city7" class="fontKanit">10957-1-64002499</span> -->
                    </div>

                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">บิดา : </span>
                        <span for="city7" class="fontKanit">{{referIn.father_name}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">มารดา : </span>
                        <span for="city7" class="fontKanit">{{referIn.mother_name}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">คู่สมรส : </span>
                        <span for="city7" class="fontKanit">{{referIn.couple_name}}</span>
                    </div>

                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">ผู้ที่สามารถติดต่อได้ : </span>
                        <span for="city7" class="fontKanit">{{referIn.contact_name}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">ความสัมพันธ์ : </span>
                        <span for="city7" class="fontKanit">{{referIn.contact_relation}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">โทรศัพท์ : </span>
                        <span for="city7" class="fontKanit">{{referIn.contact_mobile}}</span>
                    </div>

                    <div class="field col md:col-8">
                        <span for="city7" class="text-green-600 fontKanit">ที่อยู่ : </span>
                        <span for="city7" class="fontKanit">{{referIn.addrpart}} {{referIn.address_name}} </span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">service Plan : </span>
                        <span for="city7" class="fontKanit">{{referIn.serviceplan_name}}</span>
                    </div>

                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">จากสถานพยาบาล : </span>
                        <span for="city7" class="fontKanit">{{referIn.hcode}} : {{referIn.hname}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">แพทย์ผู้สั่ง : </span>
                        <span for="city7" class="fontKanit">{{referIn.doctor_name}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">จุดบริการปลายทาง : </span>
                        <span for="city7" class="fontKanit">{{referIn.refer_hospcode}} : {{referIn.refer_hospname}}</span>
                    </div>

                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">เหตุผลการส่ง : </span>
                        <span for="city7" class="fontKanit">{{referIn.refer_cause}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">สิทธิการรักษา : </span>
                        <span for="city7" class="fontKanit">{{referIn.pttype_name}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">เลขที่สิทธิ : </span>
                        <span for="city7" class="fontKanit">{{referIn.pttypeno}}</span>
                    </div>

                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">สถานพยาบาลหลัก : </span>
                        <span for="city7" class="fontKanit">{{referIn.hospmain}} : {{referIn.hospmain_name}}</span>
                    </div>
                    <div class="field col md:col-4">
                        <span for="city7" class="text-green-600 fontKanit">สถานพยาบาลรอง : </span>
                        <span for="city7" class="fontKanit">{{referIn.hospsub}} : {{referIn.hospsub_name}}</span>
                    </div>
                </div>
            </div>
        </p-accordionTab>

        <p-accordionTab header="การวินิจฉัย" [selected]="true">
            <div class="card border-round bg-purple-50 mb-1">
                <div class="formgrid grid border-round p-1">
                    <div class="field col-12 md:col-12">
                        <label for="diag_text" class="text-green-600">การวินิจฉัยโรคเบื้องต้น</label>
                        <textarea id="diag_text" [disabled]="true" type="text" rows="6" [(ngModel)]="signtext.diag_text" class="inputfield w-full"></textarea>
                    </div>
                </div>
                <div class="field col-12 md:col-12">
                    <label for="diag_text" class="text-green-600">ผลการวินิจฉัย</label>
                    <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                        <p-table #dtCreate [value]="diagnosis" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                            [rowHover]="true" currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ"
                            [filterDelay]="0" [globalFilterFields]="['hn','fullname','refer_hospname']" responsiveLayout="scroll"
                            paginatorPosition="bottom" [scrollable]="true" scrollHeight="{{scrollHeight}}"
                            [virtualRowHeight]="6" [autoLayout]="true" [resizableColumns]="true" [style]="ptableStyle" frozenColumns="10">
                            <ng-template pTemplate="headergrouped">
                                <tr>
                                    <th class="text-center" #pFrozenColumn>รหัส icd10</th>
                                    <th class="text-center" #pFrozenColumn>การวินิจฉัย(อังกฤษ)</th>
                                    <th class="text-center">ประเภทการวินิจฉัย</th>
                                </tr>
                            </ng-template>
                            <ng-template pTemplate="body" let-rows>
                                <tr class="p-selectable-row">
                                    <td #pFrozenColumn>
                                        <span class="p-column-title">รหัส icd10</span>
                                        {{rows.icd_code}}
                                    </td>
                                    <td #pFrozenColumn>
                                        <span class="p-column-title">การวินิจฉัย(อังกฤษ)</span>
                                        {{rows.icd_name}}
                                    </td>
                                    <td #pFrozenColumn>
                                        <span class="p-column-title">ประเภทการวินิจฉัย</span>
                                        <span *ngIf="rows.diag_type == 1">
                                            โรคหลัก
                                        </span>
                                        <span *ngIf="rows.diag_type != 1">
                                            โรครอง
                                        </span>
                                    </td>
                                </tr>
                            </ng-template>
                            <ng-template pTemplate="emptymessage">
                                <tr>
                                    <td colspan="16">ไม่พบรายการ..</td>
                                </tr>
                            </ng-template>
                        </p-table>
                    </div>
                </div>
            </div>
        </p-accordionTab>
        <p-accordionTab header="ผลการรักษา-แนบเอกสาร" [selected]="true">

            <div class="card border-round bg-purple-50 mb-1">
                <div class="formgrid grid border-round">
                    <p-tabView>
                        <p-tabPanel header="การรักษา" leftIcon="pi pi-book">
                            <br>
                            <div class="formgrid grid">
                                <div class="field col md:col-12">
                                    <b class="text-green-600">น้ำหนัก&nbsp;&nbsp; </b> <strong>{{signtext.weight}} &nbsp;กก.</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">ส่วนสูง&nbsp;&nbsp; </b> <strong>{{signtext.height}}&nbsp;ซม.</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">BMI&nbsp;&nbsp; </b> <strong>{{bmi | number:'1.2-2' :'en'}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">ความดันโลหิต&nbsp;&nbsp; </b> <strong>{{signtext.sbp}}</strong>/<strong>{{nurtures.dbp}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">อุณหภูมิ&nbsp;&nbsp; </b> <strong>{{signtext.temperature}}&nbsp;เซลเซียส</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">PR&nbsp;&nbsp; </b> <strong>{{signtext.pr}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">RR&nbsp;&nbsp; </b> <strong>{{signtext.rr}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">Blood Group&nbsp;&nbsp; </b> <strong>{{signtext.bloodgrp}}</strong>&nbsp;&nbsp;&nbsp;
                                    <br>
                                    <b class="text-green-600">Sao2&nbsp;&nbsp; </b> <strong><{{signtext.oxygen_sat}}&nbsp;%</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">GCS:E&nbsp;&nbsp; </b> <strong>{{signtext.eye_score}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">GCS:M&nbsp;&nbsp; </b> <strong>{{signtext.movement_score}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">GCS:V&nbsp;&nbsp; </b> <strong>{{signtext.vocal_score}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">Pupil:Rt&nbsp;&nbsp; </b> <strong>{{signtext.pupil_right}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">Pupil:Lt&nbsp;&nbsp; </b> <strong>{{signtext.pupil_left}}</strong>&nbsp;&nbsp;&nbsp;
                                </div>
                                <div class="field col-12 md:col-6">
                                    <label for="textCc" class="text-green-600"><b>CC</b></label>
                                    <textarea [disabled]="true" id="textCc" type="text" rows="6" [(ngModel)]="signtext.cc" class="inputfield w-full"></textarea>
                                </div>
                                <div class="field col-12 md:col-6">
                                    <label for="textPmh" class="text-green-600"><b>PMH</b></label>
                                    <textarea [disabled]="true" id="textPmh" type="text" rows="6" [(ngModel)]="signtext.pmh" class="inputfield w-full"></textarea>
                                </div>

                                <div class="field col-12 md:col-6">
                                    <label for="textPe" class="text-green-600"><b>PE</b></label>
                                    <textarea [disabled]="true" id="textPe" type="text" rows="6" [(ngModel)]="signtext.pe" class="inputfield w-full"></textarea>
                                </div>
                                <div class="field col-12 md:col-6">
                                    <label for="textHpi" class="text-green-600"><b>HPI</b></label>
                                    <textarea [disabled]="true" id="textHpi" type="text" rows="6" [(ngModel)]="signtext.hpi" class="inputfield w-full"></textarea>
                                </div>

                            </div>

                        </p-tabPanel>
                        <p-tabPanel header="หัตถการ" leftIcon="pi pi-credit-card">
                            <div class="field col-12 md:col-12">
                                <br />
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="procedure" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true"
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="345px"
                                        [virtualRowHeight]="6">
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>วันที่ทำหัถการ</th>
                                                <th class="text-center" #pFrozenColumn>เวลา</th>
                                                <th class="text-center">รหัสหัตถการ</th>
                                                <th class="text-center">ชื่อหัตถการ</th>
                                                <th class="text-center">ค่าบริการ</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่ทำหัถการ</span>
                                                    {{rows.date_serv | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">เวลา</span>
                                                    {{rows.time_serv}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">รหัสหัตถการ</span>
                                                    {{rows.procedure_code}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ชื่อหัตถการ</span>
                                                    {{rows.procedure_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ค่าบริการ</span>
                                                    {{rows.serviceprice}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="16">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>

                        <p-tabPanel header="ผล LAB" leftIcon="pi pi-desktop">
                            <div class="field col-12 md:col-12">
                                <br>
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="lab" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true"
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="345px"
                                        [virtualRowHeight]="6">
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>วันที่ทำแล็บ</th>
                                                <th class="text-center" #pFrozenColumn>เวลา</th>
                                                <th class="text-center">กลุ่มแล็บ</th>
                                                <th class="text-center">รายการ</th>
                                                <th class="text-center">ผลแล็บ</th>
                                                <th class="text-center">ค่าปกติ</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่ทำแล็บ</span>
                                                    {{rows.date_serv | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">เวลา</span>
                                                    {{rows.time_serv}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">กลุ่มแล็บ</span>
                                                    {{rows.labgroup}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">รายการ</span>
                                                    {{rows.lab_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ผลแล็บ</span>
                                                    {{rows.lab_result}} {{rows.unit}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ค่าปกติ</span>
                                                    {{rows.standard_result}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="16">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>

                        <p-tabPanel header="ยา" leftIcon="pi pi-briefcase">
                            <div class="field col-12 md:col-12">
                                <br />
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="drugs" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true"
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="345px"
                                        [virtualRowHeight]="6">
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>วันที่จ่ายยา</th>
                                                <th class="text-center" #pFrozenColumn>เวลา</th>
                                                <th class="text-center">ชื่อยา</th>
                                                <th class="text-center">จำนวน</th>
                                                <th class="text-center">หน่วยนับ</th>
                                                <th class="text-center">วิธีใช้</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่จ่ายยา</span>
                                                    {{rows.date_serv | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">เวลา</span>
                                                    {{rows.time_serv}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ชื่อยา</span>
                                                    {{rows.drug_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">จำนวน</span>
                                                    {{rows.qty}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">หน่วยนับ</span>
                                                    {{rows.unit}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วิธีใช้</span>
                                                    {{rows.usage_line1}}<br>
                                                    {{rows.usage_line2}}<br>
                                                    {{rows.usage_line3}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="16">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>
                        <p-tabPanel header="ยาเดิม" leftIcon="pi pi-briefcase">
                            <div class="field col-12 md:col-12">
                                <br />
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="medrecconcile" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true"
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="345px"
                                        [virtualRowHeight]="6">
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>ชื่อสถานบริการที่ได้รับยา</th>
                                                <th class="text-center" #pFrozenColumn>ชื่อยา</th>
                                                <th class="text-center">ขนาดและวิธีใช้ยา</th>
                                                <th class="text-center">วันที่ได้รับยาครั้งสุดท้าย</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ชื่อสถานบริการที่ได้รับยา</span>
                                                    {{rows.drug_hospname}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ชื่อยา</span>
                                                    {{rows.drug_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ขนาดและวิธีใช้ยา</span>
                                                    {{rows.drug_use}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่ได้รับยาครั้งสุดท้าย</span>
                                                    {{rows.drug_receive_date | thaidate:'short'}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="16">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>
                        <p-tabPanel header="แพ้ยา" leftIcon="pi pi-ban">
                            <div class="field col-12 md:col-12">
                                <br />
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="allergy" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true"
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="345px"
                                        [virtualRowHeight]="6">
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>วันที่มีอาการ</th>
                                                <th class="text-center" #pFrozenColumn>วันที่รายงาน</th>
                                                <th class="text-center">ยาที่แพ้</th>
                                                <th class="text-center">อาการที่แพ้</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่มีอาการ</span>
                                                    {{rows.begin_date | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่รายงาน</span>
                                                    {{rows.daterecord | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ยาที่แพ้</span>
                                                    {{rows.drug_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">อาการที่แพ้</span>
                                                    {{rows.symptom}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="16">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>
                        <p-tabPanel header="X-Ray" leftIcon="pi pi-camera">
                            <div class="field col-12 md:col-12">
                                <br />
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="xray" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true"
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="345px"
                                        [virtualRowHeight]="6">
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>วันที่สั่ง</th>
                                                <th class="text-center" #pFrozenColumn>รายการ</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่สั่ง</span>
                                                    {{rows.xray_date | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">รายการ</span>
                                                    {{rows.xray_name}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="16">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>
                        <!-- <p-tabPanel header="วัคซีน Covid-19" leftIcon="pi pi-history">
                            <div class="field col-12 md:col-12">
                                <br />
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="itemeCovidVaccine" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true"
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="345px"
                                        [virtualRowHeight]="6">
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center">เข็มที่</th>
                                                <th class="text-center" #pFrozenColumn>ชื่อหน่วยให้บริการ</th>
                                                <th class="text-center" #pFrozenColumn>วันที่/เวลา ได้รับวัคซีน</th>
                                                <th class="text-center">ชื่อ Vaccine</th>
                                                <th class="text-center">lot number</th>
                                                <th class="text-center">serial no</th>

                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">เข็มที่</span>
                                                    {{rows.vaccine_plan_no}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ชื่อหน่วยให้บริการ</span>
                                                    {{rows.hospital_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">วันที่/เวลา ได้รับวัคซีน</span>
                                                    {{rows.immunization_datetime | thaidate:'short'}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ชื่อ Vaccine</span>
                                                    {{rows.vaccine_name}}
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">lot number</span>
                                                    {{rows.lot_number}}
                                                </td> <td #pFrozenColumn>
                                                    <span class="p-column-title">serial no</span>
                                                    {{rows.serial_no}}
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="6">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel> -->
                        <p-tabPanel header="เอกสารแนบ" leftIcon="pi pi-upload">
                            <div class="field col-12 md:col-12">

                                <div class="col">
                                    <div class="flex justify-content-end flex-wrap card-container green-container">
                                        <div class="flex align-items-center justify-content-center mb-2 mt-1">
                                            <span class="input-icon-left">
                                                <button pButton type="button" class="p-button-primary" (click)="uploadsRoute()"><i class="pi pi-paperclip"></i>&nbsp;แนบเอกสาร</button>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                    <p-table #dtCreate [value]="itemeAttachment" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true"
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="315px"
                                        [virtualRowHeight]="6">
                                        <ng-template pTemplate="headergrouped">
                                            <tr>
                                                <th class="text-center" #pFrozenColumn>ประเภทเอกสาร</th>
                                                <th class="text-center" #pFrozenColumn>ดาวน์โหลดเอกสาร</th>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="body" let-rows>
                                            <tr class="p-selectable-row">
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ประเภทเอกสาร</span>
                                                    <span *ngIf="rows.description==null">{{rows.att_type}}</span>
                                                    <span *ngIf="rows.description!=null">{{rows.description}}</span>
                                                </td>
                                                <td #pFrozenColumn>
                                                    <span class="p-column-title">ดาวน์โหลดเอกสาร</span>
                                                    <span class="p-inputgroup-addon" pTooltip="ดาวน์โหลด"
                                                        (click)="downloadAttRoute(rows.att_path)"><i class="fas fa-download"
                                                            style="line-height: 1.25;color:green"></i></span>
                                                </td>
                                            </tr>
                                        </ng-template>
                                        <ng-template pTemplate="emptymessage">
                                            <tr>
                                                <td colspan="16">ไม่พบรายการ..</td>
                                            </tr>
                                        </ng-template>
                                    </p-table>
                                </div>
                            </div>
                        </p-tabPanel>
                    </p-tabView>
                </div>
            </div>

        </p-accordionTab>
    </p-accordion>

    <!-- </div> -->
</div>
